Catalog - Get Credential
从 Data Lake Analytics 目录中检索指定的凭据。
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/credentials/{credentialName}?api-version=2016-11-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
account
|
path | True |
string |
要对其执行目录作的 Azure Data Lake Analytics 帐户。 |
|
adla
|
path | True |
string |
获取用作所有 Azure Data Lake Analytics 目录服务请求的基础的 DNS 后缀。 |
|
credential
|
path | True |
string |
凭据的名称。 |
|
database
|
path | True |
string |
包含架构的数据库的名称。 |
|
api-version
|
query | True |
string |
客户端 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
已成功从指定数据库中检索指定的凭据(名称)。 |
示例
Retrieves the specified credential from the Data Lake Analytics catalog
示例请求
GET https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/credentials/test_credential_name?api-version=2016-11-01
示例响应
{
"computeAccountName": "contosoadla",
"version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"credentialName": "test_credential_name"
}
定义
USqlCredential
Data Lake Analytics 目录 U-SQL 凭据项。
| 名称 | 类型 | 说明 |
|---|---|---|
| computeAccountName |
string |
Data Lake Analytics 帐户的名称。 |
| credentialName |
string |
凭据的名称。 |
| version |
string (uuid) |
目录项的版本。 |